--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Rename a column.
- !ruby/struct:SM::Flow::P 
  body: Make sure you are executing this method while in single-user mode (i.e. not running in client/server mode).
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*old_col_name*:"
    body: Symbol of old column name.
  - !ruby/struct:SM::Flow::LI 
    label: "*new_col_name*:"
    body: Symbol of new column name.
  type: :NOTE
full_name: KirbyBase::KBTable#rename_column
is_singleton: false
name: rename_column
params: (old_col_name, new_col_name)
visibility: public
